# Simple Dart Theme Controller

Менеджер тем позволяющий переключать css-стили.

Читать на других языках: [English](README.md), [Русский](README.ru.md).

## ThemeController

ThemeController - контроллер для управления Темами. Как и все контроллеры создаётся и инициализируется во время старта
приложения.
По сути ThemeController просто добавляет или заменяет ссылку на стиль.

### Инициализация

Можно конфигурировать менеджер тем, передавая настройки при инициализации.

- defaultTheme - название темы "по-умолчанию". По-умолчанию: 'default';
- localSettingsTheme - переменная в LocalStorage где будет храниться название выбранной темы. По-умолчанию: 'theme';
- localSettingsMonoSpaceFont - переменная в LocalStorage где будет храниться моноширный шрифт. По-умолчанию: '
  monoSpaceFont'.
- themeFileSuffix - окончание файлов с темами. По-умолчанию: '_theme.css';
- monoSpaceFontFile - название файла где определяется стиль моноширного шрифта. По-умолчанию:  'mono_space_font.css'

После инициализации происходит загрузка темы из LocalStorage. Если тема не найдена, то загружается тема по-умолчанию.

### Свойства и методы

- themeList - список тем переданный при инициализации
- theme - текущая тема
- monoSpaceFont - текущий моноширный шрифт

## CSS-стили

Ожидается что для каждой темы есть отдельный файл с css-стилями. Название файла должно быть в
формате: `имя_темы_theme_sufix`. Например: `dark_theme.css`.
Также при использовании опции monoSpaceFont должен быть определён стиль для моноширного шрифта.
